Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003472 [JEDI VCL] 00 JVCL Components major always 2006-01-26 12:23 2006-06-08 04:01
Reporter johnjces View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003472: JvThumbViews faulters on many images in directory
Description I recently did a simple project needing thumbnails and all worked well until I loaded up a directory containing over 60 jpeg images. Some imgages did not show up in the thumbnail viewer, yet the file names (Titles) were present. If you clicked on one of those pictures which was blank, you would receieve a selected file of '.' just the dot! SImply maybe half of the images were visible.

I loaded up a directory with several hundred thumbnails (Jpegs) and same thing. I have yet to find the exact number of jpeg files that cause this problem to occur, but will. I have reproduced this on several PCs, from Win 2000 to WinXP Pro SP1 and another with SP2.

I installed the original thumbview comp (pre-JEDI) and it loaded up all files correctly, but that comp has issues with selected filename and a lot of other stuff.

Anybody else run across this problem? It is easily repeatable on large directories of images. I'll even send a CD of images and sample app ( just a simple one will do) and code if needed.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008953)
obones (administrator)
2006-04-05 02:14

I've just tried with the latest version of the JVCL and 70 Jpeg images (all copies of the same one though), and this did not happen to me.
If it still happens to you with the latest version of the JVCL, then please send a sample application.
(0009453)
obones (administrator)
2006-06-08 04:01

Well, no news, I'm assuming this is fixed in the latest daily version

http://jvcl.sf.net/daily/ [^]

- Issue History
Date Modified Username Field Change
2006-01-26 12:23 johnjces New Issue
2006-04-05 02:14 obones Note Added: 0008953
2006-04-05 02:14 obones Status new => feedback
2006-06-08 04:01 obones Status feedback => resolved
2006-06-08 04:01 obones Resolution open => fixed
2006-06-08 04:01 obones Assigned To => obones
2006-06-08 04:01 obones Note Added: 0009453
2006-09-05 11:37 rickwhisper2 Issue Monitored: rickwhisper2
2006-09-05 11:37 rickwhisper2 Issue End Monitor: rickwhisper2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker